#
# Copyright (C)  Heinz Mauelshagen, 2004 Red Hat GmbH. All rights reserved.
#
# See file LICENSE at the top of this source tree for license information.
#

Summary: dmraid (Device-mapper RAID tool and library)
Name: dmraid
Version: 1.0.0
Release: rc5f
License: GPL
Group: System Environment/Base
URL: http://people.redhat.com/heinzm/sw/dmraid
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
Source: ftp://people.redhat.com/~heinzm/sw/dmraid/src/dmraid-%{version}-%{release}.tar.bz2
# Patch0: maybelater.patch

ExcludeArch:	alpha
ExcludeArch:	ia64
ExcludeArch:	ppc
ExcludeArch:	ppc64
ExcludeArch:	s390
ExcludeArch:	s390x
ExcludeArch:	x86_64

%description
DMRAID supports RAID device discovery, RAID set activation and display of
properties for ATARAID on Linux >= 2.4 using device-mapper.


%prep

%setup -q -n dmraid
cd %{version}-%{release}


%build

cd %{version}-%{release}


%configure --prefix=${RPM_BUILD_ROOT}/usr --sbindir=${RPM_BUILD_ROOT}/sbin --libdir=${RPM_BUILD_ROOT}/%{_lib} --mandir=${RPM_BUILD_ROOT}/%{_mandir} --enable-debug
make


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_lib} $RPM_BUILD_ROOT/sbin \
         $RPM_BUILD_ROOT/%{_mandir}/man8
cd %{version}-%{release}
make DESTDIR=$RPM_BUILD_ROOT install

# remove unpackaged files from the buildroot
rm -rf $RPM_BUILD_ROOT/lib


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

# %post -p /sbin/ldconfig 
# %postun -p /sbin/ldconfig 

%files
%defattr(-,root,root)
%doc %{version}-%{release}/README %{version}-%{release}/TODO
/%{_mandir}/man8/*
/sbin/*

%changelog

* Tue Aug 20 2004 Heinz Mauelshagen <heinzm@redhat.com> 1.0.0-rc4-pre1
- Removed make flag after fixing make.tmpl.in

* Tue Aug 18 2004 Heinz Mauelshagen <heinzm@redhat.com> 1.0.0-rc3
- Added make flag to prevent make 3.80 from looping infinitely

* Thu Jun 17 2004 Heinz Mauelshagen <heinzm@redhat.com> 1.0.0-pre1
- Created
